function u=solve2pcdbvp(N, epsilon, f)

h=1/N;

alpha=10/h;

Coordinates = transpose(0:h:1);
A = assemMat_P1_1D(Coordinates,@STIMA_Lapl_P1_1D);

A=epsilon*A;

%non-symmetric term
t=0.5*ones(N+1,1);
B=spdiags([-t  t], [-1 1], N+1, N+1);

% add the first and last diagonal entries
B(1,1)=-0.5;
B(N+1,N+1)=0.5;

L = assemLoad_P1_1D(Coordinates,gauleg(0,1,2),f);

%u(0)v(0)
A(1,1)=A(1,1)+1;
%dudx(0)v(0)
A(1,1)=A(1,1)-epsilon*1/h;
A(1,2)=A(1,2)+epsilon*1/h;
%-dudx(1)v(1)
A(N+1,N)=A(N+1,N)+epsilon*1/h;
A(N+1,N+1)=A(N+1,N+1)-epsilon*1/h;
%u(0)dvdx(0)
A(1,1)=A(1,1)+epsilon*(-1/h);
A(2,1)=A(2,1)+epsilon*(1/h);
%-u(1)dvdx(1)
A(N,N+1)=A(N,N+1)+epsilon*1/h; 
A(N+1,N+1)=A(N+1,N+1)-epsilon*1/h; 
%alpha u(0)v(0)
A(1,1)=A(1,1)+epsilon*alpha;
%alpha u(0)v(0)
A(N+1,N+1)=A(N+1,N+1)+epsilon*alpha;

MA=A+B;

u=MA\L;